Subject: Re: es1371.o sound module on a IBM 405 walnut platform

From: Ralph Blach <[email-masked]>
Date: Mon, 19 Mar 2001 14:18:10 -0500

Dan,

Well it does.  And I recomend a new kernel interface, and Dan, I KNOW
YOU WILL not like THE VERY IDEA,
by here it is.

I beleive that a kmalloc_little_endian and a kmalloc_nocache should be
added to the port.
The ability to allocate a little endian memory would by defaut handle
conversion in a seamless and quick manner.
copy_from_user and copy_to_use would then do the bit to little endian
conversions.

By the same token, an interface to allocate noncached memory would be
spiffy.  I would also assist in the porting of device drivers that need
lots of little non cached spaces like scsi and USB drivers.

Chip

The 405gp has the ability

Dan Malek wrote:
>
> Ralph Blach wrote:
>
> > ... Will this driver have to be made
> > endian aware?
>
> Probably.  I've had a couple of the ES boards running in Walnut, I
> don't remember the details now.  The board was confiscated for
> other more urgent work, so someday I hope to get back to it.
>
>         -- Dan
>